Subject: Re: 8xx PCMCIA: request_irq vs. request_8xxirq ?

From: Hans Feldt <[email-masked]>
Date: Tue, 17 Sep 2002 13:48:08 +0200

I ran into the same problem trying to bring up a flashdisk with an IDE
interface connected to the 8260 localbus on our custom board.

init_irq in ide-probe.c calls ide_request_irq which is defined in
asm-ppc/ide.h as request_irq which calls panic.

I changed the request_irq routine in m8260_setup.c to call
request_8xxirq. Doing so I got the disk to work.

But what's the real solution?

Cheers,
Hans

On 09/17/02 10:21 AM, Steven Scholz wrote:

> Otherwise I get a kernel panic when a module (let's say  3c589_cs.o) tries to
> request an IRQ since the wrong request_irq() gets called!

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/